// SpXZeigR Menus
// Routines for SpXZeigR 4.1x
// Jeffrey J Weimer
// SVN History: $Revision: 3 $ on $Date: 2007-12-27 17:12:31 -0500 (Thu, 27 Dec 2007) $

#pragma rtGlobals=1
#pragma IgorVersion=6.03
#pragma version=4.1

#pragma IndependentModule=SpXZeigRMenus

// MENU SECTION

// main menu

Menu "SpXZeigR"
	MenuList(0,2),/Q, MenuList(1,2)
	"--"
	"(Modules [tbd]"
	"--"
	SubMenu "Paradigms"
		MenuList(0,3),/Q, MenuList(1,3)
		"--"
		MenuList(0,NumVarOrDefault("root:Packages:SpXZeigR:Globals:started",0)), /Q, MenuList(1,NumVarOrDefault("root:Packages:SpXZeigR:Globals:started",0))
		MenuList(0,4),/Q, MenuList(1,4)
		"--"
		MenuList(0,5),/Q, MenuList(1,5)
	End
	"--"
	SubMenu "Help"
		MenuList(0,6),/Q, MenuList(1,6)
		MenuList(0,7), /Q, MenuList(1,7)
	End
End

// menu builder function

Function/S MenuList(mode,itemNumber)
	variable mode, itemNumber

	string theMenuList, theMenuOp, theR=""
	
	// PRIMARY MENUS
	
	// 0
	theMenuList = "Start;"
	theMenuOp = "SpXZeigRStartUp#StartUp();"
	// 1
	theMenuList += "Restart;"
	theMenuOp += "SpXZeigRStartUp#StartUp();"
	// 2
	if (!NumVarOrDefault("root:Packages:SpXZeigR:Globals:started",0))
		theMenuList += "(Data Panel;"
		theMenuOp += ";"
	else
		theMenuList += "Data Panel;"
		theMenuOp += "SpXZeigRPanel#ShowSpXZeigRPanel();"
	endif
	// 3
	if (!NumVarOrDefault("root:Packages:SpXZeigR:Globals:started",0))
		theMenuList += "(Redraw Screen;"
		theMenuOp += ";"
	else
		theMenuList += "Redraw Screen;"
		theMenuOp += "SpXZeigRStartUp#RedrawScreen(0);"
	endif
	// 4
	if (!NumVarOrDefault("root:Packages:SpXZeigR:Globals:started",0))
		theMenuList += "(Change Paradigm;"
		theMenuOp += ";"
	else
		theMenuList += "Change Paradigm;"
		theMenuOp += "SpXZeigRStartUp#ChangeSpXZeigRParadigm();"
	endif
	// 5
	theMenuList += "Remove SpXZeigR;"
	theMenuOp +="SpXZeigRShutDown#RemoveSpXZeigR();"
	// 6
	theMenuList += "(Show Help;"
	theMenuOp +=  ";"
	// 7
	theMenuList += "About SpXZeigR;"
	theMenuOp += "AboutSpXZeigR();"
	
	// MODULE MENUS
	
	// return menu item string
	
	switch(mode)
		case 0:	// menu string
			theR = StringFromList(itemNumber,theMenuList)
			BuildMenu "SpXZeigR"
			break
		case 1:	// menu operation
			theR = StringFromList(itemNumber,theMenuOp)
			Execute/P/Q theR
			break
	endswitch
	return theR
end
